FLANG

Public Member Functions | Friends | List of all members
Fortran::semantics::ImplicitRules Class Reference

## Public Member Functions
| ImplicitRules (SemanticsContext &context, ImplicitRules *parent)
bool | isImplicitNoneType () const
bool | isImplicitNoneExternal () const
void | set_isImplicitNoneType (bool x)
void | set_isImplicitNoneExternal (bool x)
void | set_inheritFromParent (bool x)
const DeclTypeSpec * | GetType (char ch) const
void | SetTypeMapping (const DeclTypeSpec &type, parser::Location fromLetter, parser::Location toLetter)

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const ImplicitRules &)
void | ShowImplicitRule (llvm::raw_ostream &, const ImplicitRules &, char)

The documentation for this class was generated from the following file:

- lib/Semantics/resolve-names.cpp